Bug 842876 - 82865G: No video from webcam in cheese [xorg / mesa problem]
82865G: No video from webcam in cheese [xorg / mesa problem]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 15:30 EDT by Stuart D Gathman
Modified: 2013-07-31 13:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 835181
Environment:
Last Closed: 2013-07-31 13:48:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of ucview working with Chicony webcam (20.86 KB, text/plain)
2012-07-24 18:35 EDT, Stuart D Gathman
no flags Details
log of cheese showing black screen with Chicony webcam (82.65 KB, text/plain)
2012-07-24 18:39 EDT, Stuart D Gathman
no flags Details
log of cheese showing black screen with Chicony webcam and debugging options (216.34 KB, text/plain)
2012-08-23 14:22 EDT, Stuart D Gathman
no flags Details
Abrt report of cheese when coredumped while in CPU loop (111.84 KB, text/plain)
2012-08-23 14:23 EDT, Stuart D Gathman
no flags Details
Output of lspci (1.27 KB, text/plain)
2012-08-24 19:19 EDT, Stuart D Gathman
no flags Details

  None (edit)
Description Stuart D Gathman 2012-07-24 15:30:30 EDT
+++ This bug was initially created as a clone of Bug #835181 +++

Description of problem:
no video from webcam

Version-Release number of selected component (if applicable):
cheese-3.4.2-3.fc17.i686

How reproducible:
always

Steps to Reproduce:
1. run cheese from menu
2.
3.
  
Actual results:
black video window

Expected results:
video from webcam

Additional info:
Other webcam applications, e.g. UCView, used to work perfectly on F16, but now ucview no longer works in F17.

lsusb:
Bus 001 Device 003: ID 04f2:a133 Chicony Electronics Co., Ltd Gateway Webcam

Previously reported in bug#689995 for Fedora 15.

--- Additional comment from stuart@gathman.org on 2012-06-25 14:47:38 EDT ---

User Accounts/Take a Photo is also broken, and apparently uses cheese-libs.

--- Additional comment from hdegoede@redhat.com on 2012-06-25 14:57:53 EDT ---

A lot of work has gone into fixing various cheese bugs in F-17, any chance you can upgrade to Fedora-17 and give things a try there ?

--- Additional comment from stuart@gathman.org on 2012-07-04 23:13:05 EDT ---

Planning to try it from a LiveCD - hope that's good enough.

--- Additional comment from hdegoede@redhat.com on 2012-07-05 04:14:49 EDT ---

(In reply to comment #3)
> Planning to try it from a LiveCD - hope that's good enough.

Yes that is fine, please do: 
yum update 'cheese*' 'gstreamer*'
in the live environment before testing, so that you get the latest versions.

--- Additional comment from stuart@gathman.org on 2012-07-12 20:19:54 EDT ---

Installed F17 in a logical volume.  Cheese works fine after updating everything.  Sorry, forgot to test *before* updating.  But in any case, problem is fixed in updated F17.

--- Additional comment from hdegoede@redhat.com on 2012-07-23 04:03:19 EDT ---

Thanks for testing this with Fedora-17!

--- Additional comment from stuart@gathman.org on 2012-07-24 15:25:14 EDT ---

Oops, I tested the Micromedia Webcam on F17 - which already worked on F16.  I just noticed this bug report says Chicony web cam (which worked on F14) was broken on F16 (but worked in ucview).  I just now installed F17 on this computer and updated, and not only does the Chicony web cam not work in cheese, it doesn't work in ucview either!
Comment 1 Hans de Goede 2012-07-24 18:26:29 EDT
Hmm, can you try doing the following in a terminal:
export LIBV4L2_LOG_FILENAME=/tmp/ucview.log

And then run ucview from the same terminal, and after that attach ucview.log here?

Also please do the same with cheese, iow, do the following in a terminal:
export LIBV4L2_LOG_FILENAME=/tmp/cheese.log

And then run cheese from the same terminal, and after that attach cheese.log here.
Comment 2 Stuart D Gathman 2012-07-24 18:34:14 EDT
Very enlilghtening.  Running ucview from terminal, it complains "** Message: Could not convert format: MJPG 47504a4d to RGB3 33424752" on the terminal.  So I selected another video format from the menu on ucview (YUV 4:2:2), and it works.  So bad defaults, but ucview is otherwise working.  Attaching ucview.log as a baseline for cheese.
Comment 3 Stuart D Gathman 2012-07-24 18:35:01 EDT
Created attachment 600178 [details]
log of ucview working with Chicony webcam
Comment 4 Stuart D Gathman 2012-07-24 18:39:15 EDT
Created attachment 600179 [details]
log of cheese showing black screen with Chicony webcam

Also, cheese is using 99% CPU while showing the black screen, and menu items are unresponsive - although close button on window frame works.
Comment 5 Stuart D Gathman 2012-07-24 18:46:19 EDT
Tried installed gstreamer-plugins-ugly - in case it was a matter of Chicony using some encumbered video format by default.  Didn't change anything.
Comment 6 Hans de Goede 2012-07-25 05:06:28 EDT
The logs show ucview is running at 640x480, where as cheese tries to use 1280x1024. Other then that from the cheese log, things seem to be fine. Can you try the following:
1) yum install camorama, run camorama, assuming it works at its default setting change the view size from medium to large (this will switch to the highest resolution)

2) Try to navigate the cheese menus (hopefully they will respond if you wait a bit), go to preferences and change the photo and video resolution to 640x480?
Comment 7 Stuart D Gathman 2012-08-02 18:12:53 EDT
I'm running camorama, and it works fine at the 1280x1024 resolution.
Comment 8 Stuart D Gathman 2012-08-02 18:22:34 EDT
Cheese immediately goes into a run loop, and menus are unresponsive, and window redraw doesn't work, for at least 5 minutes after starting it.  Is there a way to manually edit its config to set the size?  There is nothing obvious in ~/.gconf/apps/cheese/%gconf.xml:

<?xml version="1.0"?>
<gconf>
	<entry name="wide_mode" mtime="1303917602" type="bool" value="true"/>
	<entry name="selected_effects" mtime="1295628578" type="list" ltype="string">
	</entry>
	<entry name="flash" mtime="1303917602" type="bool" value="true"/>
	<entry name="countdown" mtime="1303917602" type="bool" value="true"/>
</gconf>
Comment 9 Hans de Goede 2012-08-19 02:45:18 EDT
Hi,

Can you try running:

gst-launch-0.10 'v4l2src ! ffmpegcolorspace ! ximagesink'

And if that works also try running:

gst-launch-0.10 'v4l2src ! ffmpegcolorspace ! xvimagesink'

Thanks,

Hans
Comment 10 Stuart D Gathman 2012-08-20 17:22:22 EDT
Both of those work perfectly (clear video in a nice big window).  Cheese still shows a black screen, uses 100% CPU, and menu is dead (although window close button works after a 30 second delay).  (No change, just checking to see if it magically started working with some update.)
Comment 11 Hans de Goede 2012-08-21 04:27:47 EDT
Hi,

(In reply to comment #10)
> Both of those work perfectly (clear video in a nice big window).  Cheese
> still shows a black screen, uses 100% CPU, and menu is dead (although window
> close button works after a 30 second delay).  (No change, just checking to
> see if it magically started working with some update.)

Hmm, I still have no clue as to what is going on :| Can you try the 2 following things please:

1) Start a terminal, in this terminal do:
export GST_DEBUG=cheese*:5,camerabin*:5
export GST_DEBUG_NO_COLOR=1
cheese 2> log

Then let cheese run until you can close it after the 30 second delay, then attach
the "log" file here (gzip it if its large please).

2) Let abrt generate a bug withy a backtrace of what cheese is doing while it is burning CPU using:
cheese& sleep 10; kill -11 %1

Thanks,

Hans
Comment 12 Hans de Goede 2012-08-22 05:37:12 EDT
Hi,

In the mean time I've gotten to the bottom of another bug-report, which could potentially be the same issue.

An updated package which might fix this is now building here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4413018

Once that has complete building, download the cheese and cheese-libs rpm for your architecture and then as root run:
rpm -Uvh cheese*.rpm

After that start cheese and the problem may be gone, please let me know how this goes. If things still don't work then please run the debug commands described in comment #11.

Thanks,

Hans
Comment 13 Stuart D Gathman 2012-08-23 14:22:22 EDT
Created attachment 606679 [details]
log of cheese showing black screen with Chicony webcam and debugging options

Tried cheese-3.4.2-4.fc17.i686 from updates-testing - same behavior.

This is the log during CPU loop before closing window.
Comment 14 Stuart D Gathman 2012-08-23 14:23:25 EDT
Created attachment 606681 [details]
Abrt report of cheese when coredumped while in CPU loop
Comment 15 Hans de Goede 2012-08-24 04:24:39 EDT
The logs look fine. It seem that cheese is working as it should, so I think that the problem you're seeing is caused by cheese using clutter and thus cogl and then OpenGL to render the video stream. This is likely somehow triggering a bug in the video driver / mesa code for your GPU.

What kind of GPU / graphics card do you have, and if nvidia or ati, which driver are you using (the FOSS one or the proprietary driver) ?

Can you do lspci and paste the output here please?

Also the webcam is built into the machine, right ? If not can you please try it on another machine, preferably with another video-card?

(In reply to comment #10)
> Both of those work perfectly (clear video in a nice big window).

How big is a nice big window, as large as camorama at medium size, or as large as camorama at large size ?
Comment 16 Stuart D Gathman 2012-08-24 19:19:51 EDT
Created attachment 606969 [details]
Output of lspci
Comment 17 Stuart D Gathman 2012-08-24 19:22:01 EDT
"Nice big window" == as big as camorama at large size.
Comment 18 Stuart D Gathman 2012-08-24 19:24:45 EDT
Taking webcam home from office to try with Nvidia card.  If I remove the Nvidia card, I also have 82865G graphics at home.
Comment 19 Stuart D Gathman 2012-08-25 21:54:49 EDT
I plugged the Chicony webcam into a laptop with ATI video.  It works fine with cheese.  So you are right, this is yet another Intel driver problem.  Strange that only cheese of the 6 or so apps tested fails.  (And cheese used to work in fedora 14 with this webcam - a lot of stuff broke in the intel driver since f14.)

So, do we change the component to xorg-driver-intel ?
Comment 20 Hans de Goede 2012-08-26 05:14:16 EDT
Hi,

(In reply to comment #19)
> I plugged the Chicony webcam into a laptop with ATI video.  It works fine
> with cheese.  So you are right, this is yet another Intel driver problem. 
> Strange that only cheese of the 6 or so apps tested fails.  (And cheese used
> to work in fedora 14 with this webcam - a lot of stuff broke in the intel
> driver since f14.)
> 
> So, do we change the component to xorg-driver-intel ?

Yes please (done).

Thanks,

Hans
Comment 21 Fedora End Of Life 2013-07-03 15:24:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2013-07-31 13:48:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.